<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$desde=$_GET["fdesde"];
$hasta=$_GET["fhasta"];
$fdesde=join ("-",(array_reverse(split("-",$_GET["fdesde"]))));

$fhasta=join ("-",(array_reverse(split("-",$_GET["fhasta"]))));

mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");
// Datos de las sedes.	
	$sqlSede = "select codigo,nombre_sede from sedes where codigo='$sede'";
	$rsSede = mysql_query($sqlSede, $cn) or die(mysql_error());
	$rowSede = mysql_fetch_assoc($rsSede);
	$nombre_sede=$rowSede["nombre_sede"];
	
	$sqlCarrera = "select nombre_carrera from carreras where id_carrera='$carrera'";
	$rsCarrera = mysql_query($sqlCarrera, $cn) or die(mysql_error());
	$rowCarrera = mysql_fetch_assoc($rsCarrera);
	$nombre_carrera=$rowCarrera["nombre_carrera"];



// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('LETTER','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(745,15,9,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
$query = "Select
pagos.fecha_pago,
pagos.nro_comprobante,
pagos.monto,
pagos.concepto_pago,
pagos.nombre_alumno,
pagos.recibo_ulac,
formas_pago.forma_pago
From
pagos
Inner Join formas_pago ON pagos.forma_pago = formas_pago.codigo ";
$query = $query." Where pagos.fecha_pago BETWEEN '$fdesde' AND '$fhasta' ";
 
if($sede!='0'){ 
   $query = $query." AND sede='$sede'";
 }
if($carrera!='0'){ 
   $query = $query." AND carrera='$carrera'";
 }

$query = $query." ORDER BY pagos.recibo_ulac";

 
// Ejecuta el Query.
$result = mysql_query ($query ) or die (mysql_error()); 
// Numero de Filas.
$totalRows = mysql_num_rows($result);


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$pdf->ezText("                     UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",16,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText(utf8_decode("RELACIÓN DE INGRESOS POR CONTROL DE ESTUDIOS"),13,array('justification'=>'center'));
$pdf->ezsetdy(-3);
$pdf->ezText("Del: ".$desde."  Al: ".$hasta,12,array('justification'=>'center'));
$pdf->ezsetdy(-10);
if($sede==0){   
   $pdf->ezText("     SEDES: TODAS",12,array('justification'=>'left'));
}
else{
   $pdf->ezText("     SEDE: ".utf8_decode($nombre_sede),12,array('justification'=>'left'));
}
$pdf->ezsetdy(-5);
if($carrera==0){   
   $pdf->ezText("     PROGRAMAS: TODOS",12,array('justification'=>'left'));
}
else{
   $pdf->ezText("     PROGRAMA: ".utf8_decode($nombre_carrera),12,array('justification'=>'left'));
}

$pdf->addText(600,475,10,utf8_decode('Fecha de Impresión: ').date("d/m/Y"));
$pdf->ezsetdy(-15);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.1,3,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.    ', 
			  'fecha'=>'Fecha',
			  'recibo'=>'Recibo',
              'forma'=>'       Forma de Pago',
			  'documento'=>'    Referencia', 
			  'concepto'=>'       Concepto del Pago',
			  'participante'=>'      Participante', 
			  'monto'=>'Monto       ',); 
$smc = 0; 
$total=0;
while ($row = mysql_fetch_row($result)) { 
    $fecha       = join ("-",(array_reverse(split("-",$row[0]))));     // Fecha del Pago 
    $documento   = $row[1];     // Nro. del Comprobante 
    $monto       = $row[2];    // nota 
    $forma       = utf8_decode($row[6]);
	$recibo      = utf8_decode($row[5]);
	$concepto    = utf8_decode($row[3]);
	$participante= utf8_decode(ucwords(strtolower($row[4]))); 
	
	// Acumula el total de los pagos.
	$total=$total+$monto;
	// Incrementa el n�mero de pagos realizados.
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'fecha'=>$fecha, 
                    'recibo'=>$recibo,
					'forma'=>$forma,
					'documento'=>$documento, 
                    'monto'=>number_format($monto,2, ",", "."),
					'concepto'=>$concepto, 
                    'participante'=>$participante); 
} 

$data[] = array('nro'=>"",
	                'fecha'=>'',
					'recibo'=>'', 
                    'forma'=>'',
					'documento'=>'', 
                    'monto'=>number_format($total,2, ",", "."),
					'concepto'=>'', 
                    'participante'=>'               TOTAL DE INGRESOS:'); 
					
$pdf->ezTable($data,$cols,'',array('width'=>'700','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right') 
			 ,'fecha'=>array('justification'=>'center')
			 ,'recibo'=>array('justification'=>'center')
			 ,'forma'=>array('justification'=>'left') 
             ,'documento'=>array('justification'=>'right') 
             ,'monto'=>array('justification'=>'right')
			 ,'concepto'=>array('justification'=>'left') 
             ,'participante'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->Rectangle(50,25,700,40);
    $pdf->addText(55,55,10,'ENTREGADO POR:');
	$pdf->addText(405,55,10,'RECIBIDO EN CONTABILIDAD POR');
	$pdf->addText(600,55,10,'FECHA');
	$pdf->line(400,65,400,25); 
	
	
}
?> 